Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.tooling.model.idea
[Java] Interface IdeaProject

    org.gradle.tooling.model.Model
      org.gradle.tooling.model.HierarchicalElement
          org.gradle.tooling.model.idea.IdeaProject
              org.gradle.tooling.model.Element

All Superinterfaces:
  Model, HierarchicalElement, Element

    public interface IdeaProject
    extends HierarchicalElement

Represents the information about the IDEA project.

Since:
  1.0-milestone-5

Method Summary
`DomainObjectSet` | `getChildren()` Returns the modules of this IDEA project.
`String` | `getJdkName()` Returns the name of the JDK.
`IdeaLanguageLevel` | `getLanguageLevel()` Returns the language level to use within the current project.
`DomainObjectSet` | `getModules()` Returns the modules of this IDEA project.

Methods inherited from interface HierarchicalElement
getChildren, getParent

Methods inherited from interface Element
getDescription, getName

Method Detail

### getChildren

    public DomainObjectSet getChildren()

  Returns the modules of this IDEA project. Most projects have at least one module. Alias for getModules().
  Returns:
    The modules of this IDEA project.
  Since:
    1.0-milestone-5

### getJdkName

    public String getJdkName()

  Returns the name of the JDK.
  Returns:
    The name of the JDK.
  Since:
    1.0-milestone-5

### getLanguageLevel

    public IdeaLanguageLevel getLanguageLevel()

  Returns the language level to use within the current project.
  Returns:
    The language level to use within the current project.
  Since:
    1.0-milestone-5

### getModules

    public DomainObjectSet getModules()

  Returns the modules of this IDEA project. Most projects have at least one module. Alias for getChildren().
  Returns:
    The modules of this IDEA project.
  Since:
    1.0-milestone-5

Gradle API 1.10